Skip to content

Complete an open workflow task for a workflow configured for a single record. This endpoint does not support initiating task actions requiring eSignatures (where esignature is true).

POST/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/complete
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{task_id}The task id field value.

Controls with required=true in the Retrieve Workflow Task Action Details response must be provided. If a control (such as verdict) defines a set of required fields, those must also be provided. For example, a specific verdict may prompt for comments, reasons, or capacities.

This request may require the following body parameters:

NameDescription
verdict_public_key__c
conditional
The verdict name. Retrieve possible verdict name values by sending a request to Retrieve Workflow Task Action Details.
reason__c
conditional
The reason name. Retrieve possible reason name values by sending a request to Retrieve Workflow Task Action Details.
capacity__c
conditional
The capacity name. Retrieve possible capacity name values by sending a request to Retrieve Workflow Task Action Details.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Accept: application/json" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d 'verdict_not_approved_comment__c=Can'\''t approve this batch.' \ -d 'verdict_public_key__c=verdict_not_approved__c' https://myvault.veevavault.com/api/v25.2/objects/objectworkflows/tasks/9201/actions/complete
{ "responseStatus": "SUCCESS" }

On SUCCESS, Vault completes the workflow task on behalf of the authenticated user.